%global pypi_name typecode-libmagic
%global pypi_name_with_underscore %(echo "%{pypi_name}" | sed "s/-/_/g")

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %autorelease
Summary:        ScanCode Toolkit plugin to use pre-installed libmagic library and data file

# Only the code in src/__init__.py is relevant as we do not bundle libmagic
License:        BSD 3-Clause License
URL:            https://github.com/nexB/scancode-plugins
# wget https://github.com/nexB/scancode-plugins/archive/v1.0.0/scancode-plugins-1.0.0.tar.gz
# tar xvf scancode-plugins-1.0.0.tar.gz
# pushd scancode-plugins-1.0.0
# find . ! \( -name builtins -o -name typecode_libmagic_system_provided \) -maxdepth 1 -exec rm -rvf {} \;
# mv builtins/typecode_libmagic_system_provided/* ./
# rm -rfv builtins/
# popd
# mv scancode-plugins-1.0.0 typecode-libmagic-1.0.0
# tar czf typecode-libmagic-1.0.0.tar.gz typecode-libmagic-1.0.0
# rm -rfv typecode-libmagic-1.0.0
# rm -rfv scancode-plugins-1.0.0.tar.gz
Source:         %{pypi_name}-%{version}.tar.gz
Source:         https://raw.githubusercontent.com/nexB/scancode-plugins/main/builtins/typecode_libmagic_system_provided/bsd-simplified.LICENSE
Patch:          0001-Fix-Linux-distribution-detection.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%global common_description %{expand:
The path to libmagic and its database is determined from well known distro
locations.}

%description %{common_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
Requires:       file-devel

%description -n python3-%{pypi_name} %{common_description}


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
cp %{S:1} .

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name_with_underscore}

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license bsd-simplified.LICENSE

%changelog
%autochangelog
